<?php

function parsebb ($bb) {
	
	# Если Вы не понимаете что это ...
	# Нетрогайте здесь ничего...
	# Если тронули, незачем потом писать что скрипт не работает!
	
	$bb = preg_replace( "#\[b\](.+?)\[/b\]#is", "<b>\\1</b>", $bb );
	$bb = preg_replace( "#\[i\](.+?)\[/i\]#is", "<i>\\1</i>", $bb );
	$bb = preg_replace( "#\[u\](.+?)\[/u\]#is", "<u>\\1</u>", $bb );
	$bb = preg_replace( "#\[s\](.+?)\[/s\]#is", "<s>\\1</s>", $bb );
	
	$bb = preg_replace( "#\[center\](.+?)\[/center\]#is", "<center>\\1</center>", $bb );
	$bb = preg_replace( "#\[left\](.+?)\[/left\]#is", "<div align=\"left\">\\1</div>", $bb );
	$bb = preg_replace( "#\[right\](.+?)\[/right\]#is", "<div align=\"right\">\\1</div>", $bb );
	
	$bb = preg_replace( "#\[email\](\S+?)\[/email\]#i"                                                                , "<a href=\"mailto:\\1\">\\1</a>", $bb );
	$bb = preg_replace( "#\[email\s*=\s*\&quot\;([\.\w\-]+\@[\.\w\-]+\.[\.\w\-]+)\s*\&quot\;\s*\](.*?)\[\/email\]#i"  , "<a href=\"mailto:\\1\">\\2</a>", $bb );
	$bb = preg_replace( "#\[email\s*=\s*([\.\w\-]+\@[\.\w\-]+\.[\w\-]+)\s*\](.*?)\[\/email\]#i"                       , "<a href=\"mailto:\\1\">\\2</a>", $bb );
	
	$bb = preg_replace( "~\\[url=(.*?)\\](.*?)\\[/url\\]~", "<a href=\"\\1\">\\2</a>", $bb );
	
	$bb = preg_replace( "~\\[img\ alt=(.*?)\\](.+?)\[/img\]~", "<img src=\"\\2\" alt=\"\\1\" />", $bb );
	
	return $bb;
}

function antimat ($n) {
	
	$n	=	str_replace('хуй', '[мат]', $n); // Думаю все понятно. Дальше сами добавляем.
	
	return $n;
}

function antirek ($a) {
	
	$a	=	ereg_replace("[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]", '[спам]', $a); // Замена ссылок в комментариях (антиспам).
	
	return $a;
}

function smile ($smile) {
	
	for ($i=0; $i < 36; $i++) {
		$j=$i+1;
		$smile	=	str_replace('['.$j.']', "<img src=\"smiles/$j.gif\" alt=\"$j\" title=\"$j\" />", $smile);
		
	}
	
	return $smile;
}

function noslashes ($sl) {
	
	$sl		=	str_replace("\'", "'", $sl);
	$sl		=	str_replace('\"', '"', $sl);
	
	return $sl;
}

?>